
From: NeilBrown <neilb@cse.unsw.edu.au>

Fixes the error "RPC: failed to contact portmap (errno -512)." when the server
later tries to unregister from the portmapper.

Signed-off-by: Trond Myklebust <Trond.Myklebust@netapp.com>
Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/nfsd/nfssvc.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/nfsd/nfssvc.c~nfsd-clear-signals-before-exiting-the-nfsd-thread fs/nfsd/nfssvc.c
--- 25/fs/nfsd/nfssvc.c~nfsd-clear-signals-before-exiting-the-nfsd-thread	2005-04-07 19:09:41.000000000 -0700
+++ 25-akpm/fs/nfsd/nfssvc.c	2005-04-07 19:09:41.000000000 -0700
@@ -259,6 +259,8 @@ nfsd(struct svc_rqst *rqstp)
 				break;
 		err = signo;
 	}
+	/* Clear signals before calling lockd_down() and svc_exit_thread() */
+	flush_signals(current);
 
 	lock_kernel();
 
_
